Promotion Memberships
Promotion Memberships represents an Account's membership to a Promotion. Each Promotion Membership carries progress towards completing the Promotion. Promotion Memberships are created automatically for the account when a Loyalty Program Membership is created.
Promotion Membership Model
Attributes
id
stringaccountId
stringname
stringprogramId
stringpromotionId
stringsummary
stringmediaUploadId
stringimg
stringstartsAt
timestampendsAt
timestamprewards
arrayeventType
stringparams
objecttarget
objectdeprecatedtype
stringconditions
arraydescription
stringprogress
numberdeprecatedstatus
numbercreatedAt
stringcreatedBy
crnmodifiedAt
stringmodifiedBy
crntest
boolean
Promotion Membership Progress Model
Attributes
current
numberminimum
numbermaximum
number
List Promotion Memberships by Account experimental
Returns a paginated list of Promotion Memberships for an Account
Query Parameters
Attributes
loyaltyProgramId
string
curl -X GET 'https://service.centrapay.com/api/accounts/57SyRRgZ1U8Kq2wKpCnSR5/promotion-memberships?loyaltyProgramId=WRhAxxWpTKb5U7pXyxQjjY' \-H 'x-api-key: <TOKEN>'{ "items": [ { "id": "8aoMfscvtuewsuJzmzBzAs", "accountId": "57SyRRgZ1U8Kq2wKpCnSR5", "programId": "WRhAxxWpTKb5U7pXyxQjjY", "promotionId": "8aoMfscvtuewsuJzmzBzAs", "name": "Spend a Buck", "summary": "Make a payment", "mediaUploadId": "26yUWG6wFgmva8UaDiCTWq", "img": "https://media-upload.centrapay.com/image.png?jhbdsfau67ewejshb=487hsdjhbdgs743", "startsAt": "2023-02-16T00:47:54.131Z", "endsAt": "2024-02-16T00:47:54.131Z", "rewards": [ { "assetType": "centrapay.nzd.main", "amount": "500" } ], "eventType": "payment", "target": { "type": "count", "amount": 1 }, "params": { "target": { "type": "count", "amount": 1 }, "rewards": { "and": [ { "assetType": "centrapay.nzd.main", "amount": "500" } ] }, "progress": { "current": 0 } }, "type": "challenge", "conditions": [ { "field": "amount", "value": "99", "operator": "greater-than" } ], "description": "The amount of the payment must be greater than $1.", "createdAt": "2023-02-08T04:04:27.426Z", "createdBy": "crn::user:1234", "modifiedAt": "2023-02-08T04:04:27.426Z", "modifiedBy": "crn::user:1234", "progress": 0, "status": "active", "test": true } ]}